Last Comment Bug 699037 - Remove a11y dependency on e10s build flag
: Remove a11y dependency on e10s build flag
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla11
Assigned To: alexander :surkov
:
Mentors:
Depends on:
Blocks: 646596
  Show dependency treegraph
 
Reported: 2011-11-02 07:29 PDT by Lawrence Mandel [:lmandel] (use needinfo)
Modified: 2012-02-01 13:57 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (953 bytes, patch)
2011-11-23 05:20 PST, alexander :surkov
dbolter: review+
Details | Diff | Splinter Review

Description Lawrence Mandel [:lmandel] (use needinfo) 2011-11-02 07:29:54 PDT
a11y current has the following dependency on the e10s build flag as identified by Felipe:

The code I was referring to is the following function: http://mxr.mozilla.org/mozilla-central/source/accessible/src/msaa/nsWinUtils.cpp#186 (nsWinUtils::IsWindowEmulationFor)

If a flag is still needed you can change the flag to a pref check for browser.tabs.remote on runtime.
Comment 1 alexander :surkov 2011-11-23 05:20:44 PST
Created attachment 576456 [details] [diff] [review]
patch
Comment 2 alexander :surkov 2011-11-24 03:34:16 PST
inbound land https://hg.mozilla.org/integration/mozilla-inbound/rev/29f5a947d06a
Comment 3 Ed Morley [:emorley] 2011-11-24 08:14:28 PST
https://hg.mozilla.org/mozilla-central/rev/29f5a947d06a

Note You need to log in before you can comment on or make changes to this bug.